## plee-the-bear 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(
  BEAR_ENGINE_COMMON_INCLUDE_DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/bear-engine/common/include"
  )
set(
  BEAR_ENGINE_INCLUDE_DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/bear-engine/core/src"
  )
set(
  BEAR_ITEMS_INCLUDE_DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/bear-engine/lib/src"
  )
set(
  TRANSLATIONS_INSTALL_DIR "share/locale"
)

if(CMAKE_COMPILER_IS_GNUCXX)
  if(NOT WIN32 AND NOT APPLE)
    add_definitions(-Wall -ansi -pedantic)
  endif(NOT WIN32 AND NOT APPLE)
endif(CMAKE_COMPILER_IS_GNUCXX)

IF ( BEAR_PROFILE )
  add_definitions( "-DBEAR_PROFILE" )
ENDIF ( BEAR_PROFILE )

# This macro checks if a version number is greater or equal to an other
# version number.
macro(VERSION_GREATER_EQUAL LEFT RIGHT RESULT)
  set(${RESULT} 0)

  if( ("${LEFT}" VERSION_EQUAL "${RIGHT}")
      OR ("${LEFT}" VERSION_GREATER "${RIGHT}") )
    set(${RESULT} 1)
  endif( ("${LEFT}" VERSION_EQUAL "${RIGHT}")
    OR ("${LEFT}" VERSION_GREATER "${RIGHT}") )
endmacro(VERSION_GREATER_EQUAL)

# replace the GETTEXT_CREATE_TRANSLATIONS macro to allow to specify the target
# name. So we can have translations in several subdirectories.
macro(GETTEXT_CREATE_TRANSLATIONS_CUSTOM _targetName _potFile _firstPoFile)

   set(_gmoFiles)
   get_filename_component(_potBasename ${_potFile} NAME_WE)
   get_filename_component(_absPotFile ${_potFile} ABSOLUTE)

   FOREACH (_currentPoFile ${_firstPoFile} ${ARGN})
     get_filename_component(_poFile ${_currentPoFile} ABSOLUTE)
     get_filename_component(_abs_PATH ${_poFile} PATH)
     get_filename_component(_lang ${_poFile} NAME_WE)
     set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

     # Generate the .gmo file if needed.
     add_custom_command( 
       OUTPUT ${_gmoFile}
       COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_poFile}
       DEPENDS ${_poFile}
       )

     install(
       FILES ${_gmoFile}
       DESTINATION "${TRANSLATIONS_INSTALL_DIR}/${_lang}/LC_MESSAGES"
       RENAME ${_potBasename}.mo
       )
      
     set(_gmoFiles ${_gmoFiles} ${_gmoFile})
   ENDFOREACH (_currentPoFile )

   add_custom_target(${_targetName} ALL DEPENDS ${_gmoFiles})

endmacro(GETTEXT_CREATE_TRANSLATIONS_CUSTOM)

# This macro search the most recent svn version of libclaw
macro(FIND_SVN_CLAW)
  # Not really optional, but we want to display a custom message if we do not
  # find the module
  find_package(libclaw)

  set( EXPECTED_CLAW_SVN_REVISION 259 )

  if( CLAW_FOUND )
    VERSION_GREATER_EQUAL( ${CLAW_VERSION} "1.7.0" CLAW_VERSION_OK )

    if( NOT CLAW_VERSION_OK )
      message( FATAL_ERROR
	"It seems that libclaw is installed on your system in a too old "
	"version."
	"Check http://libclaw.sourceforge.net/ to download the latest release."
	)
    endif( NOT CLAW_VERSION_OK )
  else( CLAW_FOUND )
    message( FATAL_ERROR
      "It seems that libclaw is not installed on your system. If your "
      "distribution does not give you an easy installation procedure, check "
      "http://libclaw.sourceforge.net/ to download it."
      )
  endif( CLAW_FOUND )
endmacro(FIND_SVN_CLAW)

if( BEAR_NO_MANPAGES )
  set(BEAR_ENGINE_NO_MANPAGES true)
  set(BF_NO_MANPAGES true)
  set(PTB_NO_MANPAGES true)
else( BEAR_NO_MANPAGES )
  # Search docbook-to-man
  find_program(DOCBOOK_TO_MAN docbook-to-man ENV)

  if(DOCBOOK_TO_MAN)
    set(DOCBOOK_TO_MAN_FOUND 1)
  endif(DOCBOOK_TO_MAN)

  # Use this macro to create man pages with docbook-to-man
  macro(DOCBOOK_CREATE_MAN _targetName _volume _first_sgml_file)
    foreach (_file ${_first_sgml_file} ${ARGN})
      get_filename_component(_absFile ${_file} ABSOLUTE)
      get_filename_component(_abs_PATH ${_absFile} PATH)
      get_filename_component(_prog ${_absFile} NAME_WE)
      set(_man_file ${CMAKE_CURRENT_BINARY_DIR}/${_prog}.${_volume})

      add_custom_command(
        OUTPUT ${_man_file}
        COMMAND ${DOCBOOK_TO_MAN} ${_absFile} > ${_man_file}
        DEPENDS ${_absFile}
        )

      install(
        FILES ${_man_file}
        DESTINATION share/man/man${_volume}
        )
      
      set(_man_files ${_man_files} ${_man_file})
    endforeach(_file)

    add_custom_target(${_targetName} ALL DEPENDS ${_man_files})
  endmacro(DOCBOOK_CREATE_MAN)
endif( BEAR_NO_MANPAGES )

# target to uninstall files
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(
  uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  )

subdirs(
  bear-engine
  plee-the-bear
  )

if( NOT BEAR_NO_EDITOR )
subdirs(
  bear-factory
  )
endif( NOT BEAR_NO_EDITOR )

=== bear-engine/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(bear-engine)

# where the game programs are installed
if( NOT BEAR_ENGINE_INSTALL_EXECUTABLE_DIR )
  set( BEAR_ENGINE_INSTALL_EXECUTABLE_DIR bin )
endif( NOT BEAR_ENGINE_INSTALL_EXECUTABLE_DIR )

# where the engine libraries are installed
if( NOT BEAR_ENGINE_INSTALL_LIBRARY_DIR )
  if( WIN32 )
    set( BEAR_ENGINE_INSTALL_LIBRARY_DIR
      "${BEAR_ENGINE_INSTALL_EXECUTABLE_DIR}"
      )
  else( WIN32 )
    set( BEAR_ENGINE_INSTALL_LIBRARY_DIR lib )
  endif( WIN32 )
endif( NOT BEAR_ENGINE_INSTALL_LIBRARY_DIR )

# Directories where the executable and libraries are built
set( EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/bin" )
set( LIBRARY_OUTPUT_PATH "${EXECUTABLE_OUTPUT_PATH}" )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}" )

#-------------------------------------------------------------------------------
# various libraries

#-------------------------------------------------------------------------------
# Claw
FIND_SVN_CLAW()

#-------------------------------------------------------------------------------
# Include directories for Claw
include_directories(
  ${CLAW_INCLUDE_DIRECTORY}
  ${CLAW_GRAPHIC_INCLUDE_DIRECTORY}
  )

#-------------------------------------------------------------------------------
# Link directories for Claw
link_directories(
  ${CLAW_LINK_DIRECTORY}
  ${CLAW_GRAPHIC_LINK_DIRECTORY}
  )

#-------------------------------------------------------------------------------
# Boost
include(FindBoost)

find_package(
  Boost 1.42 REQUIRED COMPONENTS filesystem regex signals system thread
  )
if( NOT Boost_FOUND )
  message( FATAL_ERROR 
    "You must have boost::filesystem, boost::signals, boost::thread and boost::regex libraries installed (at least 1.35)" )
endif( NOT Boost_FOUND )
add_definitions(-D BOOST_FILESYSTEM_VERSION=2)

#-------------------------------------------------------------------------------
# Include directories for Boost
include_directories(
  ${Boost_INCLUDE_DIR}
  )

#-------------------------------------------------------------------------------
# Link directories for Boost
link_directories(
  ${Boost_LIBRARY_DIRS}
  )

#-------------------------------------------------------------------------------
# check OpenGL
include( FindOpenGL )

if( NOT OPENGL_FOUND )
  message( FATAL_ERROR "OpenGL must be installed." )
endif( NOT OPENGL_FOUND )

#-------------------------------------------------------------------------------
# check SDL
include( FindSDL )

if( NOT SDL_FOUND )
  message( FATAL_ERROR "SDL lbrary must be installed." )
else( NOT SDL_FOUND )
  #-----------------------------------------------------------------------------
  # Include directories for SDL
  include_directories(
    ${SDL_INCLUDE_DIR}
    )
endif( NOT SDL_FOUND )

#-------------------------------------------------------------------------------
# check SDL::mixer
include( FindSDL_mixer )

if( NOT SDLMIXER_FOUND )
  message( FATAL_ERROR "SDL_mixer lbrary must be installed." )
else( NOT SDLMIXER_FOUND )
  #-----------------------------------------------------------------------------
  # Include directories for all these libraries
  include_directories(
    ${SDLMIXER_INCLUDE_DIR}
    )
endif( NOT SDLMIXER_FOUND )

#-------------------------------------------------------------------------------
# Link directories for the game
link_directories(
  ${LIBRARY_OUTPUT_PATH}
  )

#-------------------------------------------------------------------------------
include_directories( common/include )

set( BEAR_ENGINE_INCLUDE_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/core/src" )

#-------------------------------------------------------------------------------
subdirs(
  core
  lib
  running_bear
  desktop
  )

=== bear-factory/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(bear-factory)

# where the game programs are installed
if( NOT BEAR_FACTORY_INSTALL_EXECUTABLE_DIR )
  set( BEAR_FACTORY_INSTALL_EXECUTABLE_DIR bin )
endif( NOT BEAR_FACTORY_INSTALL_EXECUTABLE_DIR )

# where the engine libraries are installed
if( NOT BEAR_FACTORY_INSTALL_LIBRARY_DIR )
  if( WIN32 )
    set(
      BEAR_FACTORY_INSTALL_LIBRARY_DIR
      "${BEAR_FACTORY_INSTALL_EXECUTABLE_DIR}"
      )
  else( WIN32 )
    set( BEAR_FACTORY_INSTALL_LIBRARY_DIR lib )
  endif( WIN32 )
endif( NOT BEAR_FACTORY_INSTALL_LIBRARY_DIR )

# Directories where the executable and libraries are built
set( EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/bin" )
set( LIBRARY_OUTPUT_PATH "${EXECUTABLE_OUTPUT_PATH}" )

#-------------------------------------------------------------------------------
# various libraries

#-------------------------------------------------------------------------------
# Claw
FIND_SVN_CLAW()

#-------------------------------------------------------------------------------
# Include directories for Claw
include_directories(
  ${CLAW_INCLUDE_DIRECTORY}
  ${CLAW_GRAPHIC_INCLUDE_DIRECTORY}
  )

#-------------------------------------------------------------------------------
# Link directories for Claw
link_directories(
  ${CLAW_LINK_DIRECTORY}
  ${CLAW_GRAPHIC_LINK_DIRECTORY}
  )

#-------------------------------------------------------------------------------
# Boost
include(FindBoost)

#-------------------------------------------------------------------------------
# Include directories for Boost
include_directories(
  ${Boost_INCLUDE_DIR}
  )

find_package( Boost 1.35 REQUIRED COMPONENTS system filesystem )

if( NOT Boost_FOUND )
  message( FATAL_ERROR 
    "You must have boost::system and boost::filesystem libraries installed (at least 1.35)" )
endif( NOT Boost_FOUND )
add_definitions(-D BOOST_FILESYSTEM_VERSION=2)

#-------------------------------------------------------------------------------
# Link directories for Boost
link_directories(
  ${Boost_LIBRARY_DIRS}
  )

#-------------------------------------------------------------------------------
# Link directories for the game
link_directories(
  ${LIBRARY_OUTPUT_PATH}
  )

#-------------------------------------------------------------------------------
if( BEAR_ENGINE_COMMON_INCLUDE_DIRECTORY )
  include_directories( "${BEAR_ENGINE_COMMON_INCLUDE_DIRECTORY}" )
else( BEAR_ENGINE_COMMON_INCLUDE_DIRECTORY )
  include_directories( ../bear-engine/common/include )
endif( BEAR_ENGINE_COMMON_INCLUDE_DIRECTORY )

set(
  BEAR_FACTORY_EDITOR_INCLUDE_DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/bear-editor/src"
  )

#-------------------------------------------------------------------------------
# check wxWidgets
if( WIN32 )
  set( wxWidgets_USE_LIBS mono )
  add_definitions( "-DwxUSE_UNICODE" )
else( WIN32 )
  set( wxWidgets_USE_LIBS xml core adv )
endif( WIN32 )

include(FindwxWidgets)

if( NOT wxWidgets_FOUND )
  message( "wxWidgets not found" )
endif( NOT wxWidgets_FOUND )

#-------------------------------------------------------------------------------
# path to the images used in the interface
if( NOT BF_IMAGES_PATH )
  set( BF_IMAGES_PATH "share/bear-factory/images" )
endif( NOT BF_IMAGES_PATH )

add_definitions( '-DBF_IMAGES_PATH="${CMAKE_INSTALL_PREFIX}/${BF_IMAGES_PATH}"' )

#-------------------------------------------------------------------------------
subdirs(
  desktop
  bear-editor
  animation-editor
  level-editor
  model-editor
  tool
  )

install(
  DIRECTORY "item-description"
  DESTINATION "share/bear-factory"
  FILE_PERMISSIONS OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ
  DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  PATTERN ".svn" EXCLUDE
  PATTERN "*~" EXCLUDE
)

=== plee-the-bear/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(plee-the-bear)

set( GAME_ROOT_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}" )

get_directory_property(
  BEAR_ENGINE_INSTALL_EXECUTABLE_DIR DIRECTORY ../bear-engine
  DEFINITION BEAR_ENGINE_INSTALL_EXECUTABLE_DIR
  )

get_directory_property(
  BEAR_ENGINE_INSTALL_LIBRARY_DIR DIRECTORY ../bear-engine
  DEFINITION BEAR_ENGINE_INSTALL_LIBRARY_DIR
  )

# where the game resources are installed
if( NOT PTB_INSTALL_DATA_DIR )
  set( PTB_INSTALL_DATA_DIR share/plee-the-bear )
endif( NOT PTB_INSTALL_DATA_DIR )

# where the game executables are installed
if( NOT PTB_INSTALL_EXECUTABLE_DIR )
  set( PTB_INSTALL_EXECUTABLE_DIR bin )
endif( NOT PTB_INSTALL_EXECUTABLE_DIR )

# where the game libraries (the items) are installed
if( NOT PTB_INSTALL_CUSTOM_LIBRARY_DIR )
  set( PTB_INSTALL_CUSTOM_LIBRARY_DIR lib )
endif( NOT PTB_INSTALL_CUSTOM_LIBRARY_DIR )

# Directories where the executable and libraries are built
set( EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/bin" )
set( LIBRARY_OUTPUT_PATH "${EXECUTABLE_OUTPUT_PATH}" )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}" )

#-------------------------------------------------------------------------------
# check SDL
include( FindSDL )

if( NOT SDL_FOUND )
  message( FATAL_ERROR "SDL lbrary must be installed." )
else( NOT SDL_FOUND )
  #-----------------------------------------------------------------------------
  # Include directories for SDL
  include_directories(
    ${SDL_INCLUDE_DIR}
    )
endif( NOT SDL_FOUND )

#-------------------------------------------------------------------------------
# check SDL::mixer
include( FindSDL_mixer )

if( NOT SDLMIXER_FOUND )
  message( FATAL_ERROR "SDL_mixer lbrary must be installed." )
else( NOT SDLMIXER_FOUND )
  #-----------------------------------------------------------------------------
  # Include directories for all these libraries
  include_directories(
    ${SDLMIXER_INCLUDE_DIR}
    )
endif( NOT SDLMIXER_FOUND )

#-------------------------------------------------------------------------------
# various libraries

#-------------------------------------------------------------------------------
# Claw
FIND_SVN_CLAW()

#-------------------------------------------------------------------------------
# Include directories for Claw
include_directories(
  ${CLAW_INCLUDE_DIRECTORY}
  ${CLAW_GRAPHIC_INCLUDE_DIRECTORY}
  )

#-------------------------------------------------------------------------------
# Link directories for Claw
link_directories(
  ${CLAW_LINK_DIRECTORY}
  ${CLAW_GRAPHIC_LINK_DIRECTORY}
  )

#-------------------------------------------------------------------------------
# Boost
include(FindBoost)

find_package( Boost 1.35 REQUIRED COMPONENTS signals)

if( NOT Boost_FOUND )
  message( FATAL_ERROR 
    "You must have boost::filesystem and boost::thread libraries installed (at least 1.35)" )
endif( NOT Boost_FOUND )
add_definitions(-D BOOST_FILESYSTEM_VERSION=2)

#-------------------------------------------------------------------------------
# Include directories for Boost
include_directories(
  ${Boost_INCLUDE_DIR}
  )

#-------------------------------------------------------------------------------
# Link directories for Boost
link_directories(
  ${Boost_LIBRARY_DIRS}
  )

#-------------------------------------------------------------------------------
# Link directories for the game
link_directories(
  ${LIBRARY_OUTPUT_PATH}
  )

#-------------------------------------------------------------------------------
if( BEAR_ENGINE_INCLUDE_DIRECTORY )
  include_directories( "${BEAR_ENGINE_INCLUDE_DIRECTORY}" )
else( BEAR_ENGINE_INCLUDE_DIRECTORY )
  include_directories( ../bear-engine/core/src )
endif( BEAR_ENGINE_INCLUDE_DIRECTORY )

if( BEAR_ITEMS_INCLUDE_DIRECTORY )
  include_directories( "${BEAR_ITEMS_INCLUDE_DIRECTORY}" )
else( BEAR_ITEMS_INCLUDE_DIRECTORY )
  include_directories( ../bear-engine/lib/src )
endif( BEAR_ITEMS_INCLUDE_DIRECTORY )

#-------------------------------------------------------------------------------
subdirs(
  src
  data
  desktop
  )

install(
  DIRECTORY "item-description"
  DESTINATION "share/bear-factory/plee-the-bear"
  FILE_PERMISSIONS OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ
  DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  PATTERN ".svn" EXCLUDE
  PATTERN "*~" EXCLUDE
)

if(UNIX)

  IF(APPLE)
    SET(DYLIB_EXTENSION "dylib")
  ELSE(APPLE)
    SET(DYLIB_EXTENSION "so")
  ENDIF(APPLE)
  
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/release/plee-the-bear.in"
    "${CMAKE_CURRENT_BINARY_DIR}/release/plee-the-bear"
    IMMEDIATE @ONLY
    )

  install( FILES "${CMAKE_CURRENT_BINARY_DIR}/release/plee-the-bear"
    DESTINATION ${PTB_INSTALL_EXECUTABLE_DIR}
    PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
      GROUP_READ GROUP_EXECUTE
      WORLD_READ WORLD_EXECUTE )
endif(UNIX)

=== bear-engine/core/CMakeLists.txt ===
subdirs(src)

=== bear-engine/desktop/CMakeLists.txt ===
subdirs(
  man
  locale
  )

=== bear-engine/lib/CMakeLists.txt ===
subdirs(src)

=== bear-engine/running_bear/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(running-bear)

set( RUNNING_BEAR_TARGET_NAME running-bear )

include_directories( . ${BEAR_ENGINE_INCLUDE_DIRECTORY} )

#-------------------------------------------------------------------------------
set( RUNNING_BEAR_SOURCE_FILES
  code/running_bear.cpp
  code/main.cpp
  )

add_executable( ${RUNNING_BEAR_TARGET_NAME} ${RUNNING_BEAR_SOURCE_FILES} )

set_target_properties(
  ${RUNNING_BEAR_TARGET_NAME}
  PROPERTIES
  INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${BEAR_ENGINE_INSTALL_LIBRARY_DIR}"
  )

if( NOT WIN32 )
  set_target_properties(
    ${RUNNING_BEAR_TARGET_NAME}
    PROPERTIES
    COMPILE_DEFINITIONS "BEAR_TEXT_DOMAIN_PATH=${CMAKE_INSTALL_PREFIX}/${TRANSLATIONS_INSTALL_DIR}"
    )
endif( NOT WIN32 )

install(
  TARGETS ${RUNNING_BEAR_TARGET_NAME}
  DESTINATION ${BEAR_ENGINE_INSTALL_EXECUTABLE_DIR}
  )

set(
  RUNNING_BEAR_LINK_LIBRARIES
  bear_engine
  ${CLAW_APPLICATION_LIBRARIES}
  )

if(WIN32)
  set(
    RUNNING_BEAR_LINK_LIBRARIES
    ${RUNNING_BEAR_LINK_LIBRARIES}
    ${SDL_LIBRARY}
    intl )
endif(WIN32)

# FIXME: it would be even better to use "sdl-config"
if(APPLE)
  set(
    RUNNING_BEAR_LINK_LIBRARIES
    ${RUNNING_BEAR_LINK_LIBRARIES}
    ${SDL_LIBRARY}
    SDLmain
    intl )
endif(APPLE)

target_link_libraries(
  ${RUNNING_BEAR_TARGET_NAME}
  ${RUNNING_BEAR_LINK_LIBRARIES}
  )

=== bear-factory/desktop/CMakeLists.txt ===
install( DIRECTORY "applications" "icons" "pixmaps"
  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/"
  FILE_PERMISSIONS
  OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ 
  DIRECTORY_PERMISSIONS  OWNER_READ OWNER_WRITE OWNER_EXECUTE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  PATTERN ".svn" EXCLUDE )

subdirs(images locale man)

=== bear-factory/tool/CMakeLists.txt ===
subdirs(
  image-cutter
  )

=== plee-the-bear/data/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

install(
  DIRECTORY "animation" "font" "gfx" "level" "mini-game" "model"
  "music" "script" "sound"
  DESTINATION ${PTB_INSTALL_DATA_DIR}
  FILE_PERMISSIONS OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ
  DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  PATTERN ".svn" EXCLUDE
  PATTERN "*~" EXCLUDE
  PATTERN "*!*" EXCLUDE
  PATTERN "*xcf*" EXCLUDE
  PATTERN "*.rg" EXCLUDE
  PATTERN "*.tg" EXCLUDE
  PATTERN "*.mdl" EXCLUDE
  PATTERN "*.anim" EXCLUDE
  PATTERN "*.lvl" EXCLUDE
  PATTERN "*.mid" EXCLUDE
  PATTERN "*.scm" EXCLUDE
  PATTERN "*.flac" EXCLUDE
  PATTERN "*.gz" EXCLUDE
  PATTERN "*.bz2" EXCLUDE
  PATTERN "README" EXCLUDE
)

install(
  FILES credits.txt
  DESTINATION ${PTB_INSTALL_DATA_DIR}
  PERMISSIONS OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ
)

=== plee-the-bear/desktop/CMakeLists.txt ===
install( DIRECTORY "applications" "icons" "pixmaps"
  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/"
  FILE_PERMISSIONS
  OWNER_READ OWNER_WRITE
  GROUP_READ
  WORLD_READ 
  DIRECTORY_PERMISSIONS  OWNER_READ OWNER_WRITE OWNER_EXECUTE
  GROUP_READ GROUP_EXECUTE
  WORLD_READ WORLD_EXECUTE
  PATTERN ".svn" EXCLUDE )

subdirs(locale man)

=== debian/changelog ===
plee-the-bear (0.6.0-7build4) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:03:09 +0100

plee-the-bear (0.6.0-7build3) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:10:31 +0100

plee-the-bear (0.6.0-7build2) groovy; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 19:24:39 +0000

plee-the-bear (0.6.0-7build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:45:01 +0100

plee-the-bear (0.6.0-7) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Mark -data package as Multi-Arch: foreign

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Fix FTBFS with Boost 1.71.
    Thanks to Giovanni Mascellani for the patch. (Closes: #953871)
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    Thanks to Helmut Grohne for the patch. (Closes: #918038)

 -- Markus Koschany <apo@debian.org>  Fri, 05 Jun 2020 01:39:41 +0200

plee-the-bear (0.6.0-6) unstable; urgency=medium

  * Team upload.
  * Call executables by absolute path in .desktop files instead of making the
    desktop environment consolt the PATH environment variable. Added
    absolute-path-in-desktop-file.patch.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 10 Aug 2019 05:48:24 +0200

plee-the-bear (0.6.0-5) unstable; urgency=medium

  * Team upload.
  * Build package against GTK 3 variant of wxWidget. Replaced build dependency
    libwxgtk3.0-dev by libwxgtk3.0-gtk3-dev. (Closes: #933443)
  * Clean up debian/control:
    * Change priority from extra to optional.
    * Reflect migration to salsa.debian.org in Vcs-fields.
  * Clean up lintian warnings: Removed unused patches.
  * Switch from debian/compat to build depends debhelper-compat (= 12).
  * Declare conformance with standards version 4.4.0.

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 09 Aug 2019 16:07:02 +0200

plee-the-bear (0.6.0-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.1.
  * Vcs-Browser: Use https.
  * Rebuild plee-the-bear with GCC 7. (Closes: #853618, #793274)
  * Replace dh_clean -k with dh_prep.

 -- Markus Koschany <apo@debian.org>  Fri, 18 Aug 2017 18:27:03 +0200

plee-the-bear (0.6.0-3.1) unstable; urgency=low

  * Non-maintainer upload at maitainer's request.
  * Update to use wxWidgets 3.0 (new patch wx3.0-compat.patch)
    (Closes: #750087)

 -- Olly Betts <olly@survex.com>  Fri, 25 Jul 2014 10:58:41 +1200

plee-the-bear (0.6.0-3) unstable; urgency=medium

  * Build on all archs; do not restrict Architecture in d/control.
    (Closes: #736537)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 24 Jan 2014 12:57:10 -0800

plee-the-bear (0.6.0-2) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Gonéri Le Bouder ]
  * import patches by Julien Jorge to fix a FTBFS  with the current
    Boost.FileSystem (closes: #720819)
  * Add myself in Uploaders
  * Indent the B-D

  [ Julien Jorge ]
  * Add mipsn32el mips64 mips64el in the architecures (closes: #726176)
  * Add a patch to use the full path to the icon in the menu files
    (closes: #726853)

  [ Vincent Cheng ]
  * Refresh patches.
  * Update to Standards version 3.9.5.
  * Update to source format "3.0 (quilt)".

 -- Vincent Cheng <vcheng@debian.org>  Thu, 23 Jan 2014 13:20:52 -0800

plee-the-bear (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Remove patches integrated upstream: boost-1.46.diff,
    compile-with-g++4.6.diff, use-findpackage-for-libclaw.diff.

 -- Julien Jorge <julien.jorge@gamned.org>  Sat, 27 Aug 2011 19:25:18 +0200

plee-the-bear (0.5.1-2) unstable; urgency=low

  * Use the findpackage command to find libclaw, according to the new
    installation path of the CMake module of the library.
  * Compiles with g++ 4.6.
  * Fix FTBFS with Boost 1.46. Thanks to Konstantinos Margaritis.
    (Closes: #627253).
  * Bump standard version to 3.9.2.

 -- Julien Jorge <julien.jorge@gamned.org>  Sun, 21 Aug 2011 18:07:35 +0200

plee-the-bear (0.5.1-1) unstable; urgency=low

  [ Julien Jorge ]
  * New upstream release (Closes: #565062, #546514).
  * Add armhf architecture (Closes: #604689).
  * Remove patches integrated upstream: rpath-editors.diff, rpath-game.diff,
    editors-menu-section.diff.
  * Bump the Standard-Version, no changes.
  * Update my email address.
  * Set build dependency of libclaw to 1.6.0.
  * Add the missing ${misc:Depends} in debian/control.
  * List gettext translations in bear-factory.install and plee-the-bear.install.

 -- Julien Jorge <julien.jorge@gamned.org>  Wed, 17 Nov 2010 20:13:34 +0200

plee-the-bear (0.4.1-3) unstable; urgency=low

  [ Julien Jorge ]
  * Remove the 'Section' line in the control file for bear-factory.
    Thanks Ben Finney (Closes: #550224).
  * Install the binaries of the editors in /usr/games/
  * Add a patch to change section in menu files of the editors from
    Apps/Editors to Games/Tools.
  * Bug fix in patch editors-default-dir.diff to effectively set the
    default paths.

 -- Julien Jorge <julien_jorge@yahoo.fr>  Thu, 08 Oct 2009 16:27:44 +0200

plee-the-bear (0.4.1-2) unstable; urgency=low

  [ Julien Jorge ]
  * Add wx2.6-headers in Build-Conflicts
  * Remove \n in the Architecture line.
    Thanks Cyril Brulebois (Closes: #545913).

 -- Julien Jorge <julien_jorge@yahoo.fr>  Thu, 10 Sep 2009 11:12:28 +0200

plee-the-bear (0.4.1-1) unstable; urgency=low

  [ Julien Jorge ]
  * New upstream release (Closes: #543328, #545603)
  * Remove the patch clear-selection-checks-layer.diff, fixed upstream.


=== debian/control ===
Source: plee-the-bear
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Julien Jorge <julien.jorge@gamned.org>,
 Barry deFreese <bdefreese@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper-compat (= 13),
 docbook-to-man,
 cmake (>= 2.8),
 libsdl-mixer1.2-dev (>= 1.2.8),
 libboost-filesystem-dev (>= 1.45),
 libboost-regex-dev (>= 1.45),
 libboost-thread-dev (>= 1.45),
 mesa-common-dev (>= 6.5),
 libclaw-dev (>= 1.7.0),
 libclaw-graphic-dev (>= 1.7.0),
 libclaw-logger-dev (>= 1.7.0),
 libclaw-application-dev (>= 1.7.0),
 libclaw-dynamic-library-dev (>= 1.7.0),
 libclaw-configuration-file-dev (>= 1.7.0),
 libclaw-net-dev (>= 1.7.0),
 libclaw-tween-dev (>= 1.7.0),
 libwxgtk3.0-gtk3-dev,
 gettext (>= 0.17)
Standards-Version: 4.5.0
Homepage: http://plee-the-bear.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/plee-the-bear.git
Vcs-Browser: https://salsa.debian.org/games-team/plee-the-bear/

Package: plee-the-bear
Architecture: any
Depends: ${shlibs:Depends}, plee-the-bear-data (= ${source:Version}),
 ${misc:Depends}
Description: 2D platform game
 Plee the Bear will be a 2D platform game like those found on consoles in
 the beginning of the 90's. The basis of the scenario fit in few lines:
 .
 4 PM or so, Plee wakes up, tired. He has dreamed again about that awesome
 period when he went across the entire world together with his belle. He puts
 his leg in the honey pot... empty! Moreover every single honey pot in the
 house is empty. "One more trick of that kid", he thinks. "I'm going to give
 him such a wallop of which he sure will remember".
 .
 Following honey drops on the ground, Plee reaches the edge of the forest.
 Beginning of the game.
 .
 The current version is a demo.

Package: plee-the-bear-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: plee-the-bear
Description: data for Plee the Bear
 Plee the Bear will be a 2D platform game like those found on consoles in
 the beginning of the 90's. The basis of the scenario fit in few lines:
 .
 4 PM or so, Plee wakes up, tired. He has dreamed again about that awesome
 period when he went across the entire world together with his belle. He puts
 his leg in the honey pot... empty! Moreover every single honey pot in the
 house is empty. "One more trick of that kid", he thinks. "I'm going to give
 him such a wallop of which he sure will remember".
 .
 This package includes the data files for the game.

Package: bear-factory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Editors for Plee the Bear
 This package includes the level editor, animation editor and model editor of
 the Bear Engine for Plee the Bear.

=== debian/watch ===
version=3
http://sf.net/plee-the-bear/plee-the-bear-(0.[\d.]+)\.tar\.gz
